---
search:
  tags:
    - Relations
    - PATCH
seo:
  description: >-
    Update the title and/or type identifier of… Reference for the PATCH
    /api/v1/{team_slug}/{app_slug}/relations/types/{type_id} endpoint in the
    Management API.
sidebar:
  label: Update a relation type
  badge: PATCH
title: Update a relation type
type: openapi-operation
---
Update the title and/or type identifier of an existing relation type

`PATCH /api/v1/{team_slug}/{app_slug}/relations/types/{type_id}`

**Request body** (`application/json`, required)

Relation type data

- `title` (string)
- `type` (string)

Request body example:

```json
{
  "title": "string",
  "type": "string"
}
```

**Responses**

- `200` — Relation type updated successfully
- `400` — Invalid request (e.g. bad UUID, validation error)
- `401` — Unauthorized access
- `422` — Invalid request and not parsable by backend
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "created_at": "string",
    "id": "string",
    "title": "string",
    "type": "string",
    "updated_at": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}
```
